# $Id: ifinfo.spec 4303 2006-04-18 22:05:03Z dries $
# Authority: dag

%global _enable_debug_package 0
%global debug_package %{nil}
%global __os_install_post /usr/lib/rpm/brp-compress %{nil}

Summary: Commandline network inquiry/formatting tool
Name: ifinfo
Version: 0.90
Release: 4%{?dist}
License: GPLv2
Group: Applications/System
URL: http://scalableinformatics.com/ifinfo.html

# Packager: Dag Wieers <dag@wieers.com>
# Vendor: Dag Apt Repository, http://dag.wieers.com/apt/

Source: http://downloads.scalableinformatics.com/downloads/ifinfo/ifinfo-%{version}.tar.gz
BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires: perl


%description
ifinfo is a simple commandline network inquiry/formatting tool specifically
designed to output some useful information about your network connection.
It works by querying the relevant tables in /proc as well as the output of
various Unix commands. Its entire purpose in life is to tell you what you
want to know, hopefully in the format you wish to see it.


%prep
%setup -q


%build


%install
%{__rm} -rf %{buildroot}
%{__install} -Dp -m0755 ifinfo %{buildroot}%{_bindir}/ifinfo
#%{__install} -Dp -m0755 ifinfo.8 %{buildroot}%{_mandir}/man8/ifinfo.8


%clean
%{__rm} -rf %{buildroot}


%files
%defattr(-, root, root, 0755)
%doc LICENSE README
#doc %{_mandir}/man8/ifinfo.8*
%{_bindir}/ifinfo


%changelog
* Mon Nov 28 2016 J. Randall Owens <jrowens@ghiapet.net> - 0.90-4
- clean up per rpmlint
- change to noarch
- switch off debug generation

* Sun Jan  3 2010 J. Randall Owens <jrowens@ghiapet.net> - 0.90-2
- rebuild for Fedora 12

* Wed Apr 06 2005 Dag Wieers <dag@wieers.com> - 0.90-1 - 4303+/dries
- Updates to release 0.90.

* Sat Dec 20 2003 Dag Wieers <dag@wieers.com> - 0.85-0
- Initial package. (using DAR)
